net.minecraft.util

## Class EntityDamageSourceIndirect

- java.lang.Object
- - net.minecraft.util.DamageSource
  - - net.minecraft.util.EntityDamageSource
    - - net.minecraft.util.EntityDamageSourceIndirect

-     public class EntityDamageSourceIndirect
      extends EntityDamageSource

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.util.DamageSource

      `anvil, cactus, damageType, drown, fall, fallingBlock, generic, inFire, inWall, lava, magic, onFire, outOfWorld, starve, wither`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityDamageSourceIndirect(String par1Str, Entity par2Entity, Entity par3Entity)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChatMessageComponent` | `getDeathMessage(EntityLivingBase par1EntityLivingBase)` Returns the message to be displayed on player death.
    `Entity` | `getEntity()`
    `Entity` | `getSourceOfDamage()`

    - ### Methods inherited from class net.minecraft.util.EntityDamageSource

      `isDifficultyScaled`

    - ### Methods inherited from class net.minecraft.util.DamageSource

      `canHarmInCreative, causeArrowDamage, causeFireballDamage, causeIndirectMagicDamage, causeMobDamage, causePlayerDamage, causeThornsDamage, causeThrownDamage, getDamageType, getHungerDamage, isExplosion, isFireDamage, isMagicDamage, isProjectile, isUnblockable, setDifficultyScaled, setExplosion, setExplosionSource, setMagicDamage, setProjectile`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityDamageSourceIndirect

          public EntityDamageSourceIndirect(String par1Str,
                                    Entity par2Entity,
                                    Entity par3Entity)

  - ### Method Detail

    - #### getSourceOfDamage

          public Entity getSourceOfDamage()

      Overrides:
        `getSourceOfDamage` in class `DamageSource`

    - #### getEntity

          public Entity getEntity()

      Overrides:
        `getEntity` in class `EntityDamageSource`

    - #### getDeathMessage

          public ChatMessageComponent getDeathMessage(EntityLivingBase par1EntityLivingBase)

      Returns the message to be displayed on player death.
      Overrides:
        `getDeathMessage` in class `EntityDamageSource`